#ifndef TYPE_H_
#define TYPE_H_

#include <iostream>
#include "core/Quantity.h"
#include <string>

namespace cosi {

class Type : public StringQuantity {
public:
	Type();

	Type(std::string pType);

	Type Get() const ;
	void Set(Type pType);

	bool operator==(Type pType);

	void operator <<(Type pValue);

	const Type operator+(const Type &pT) const ;

	const Type operator-(const Type &pT) const ;

	static std::string sQuantityName ;

	friend std::ostream& operator <<(std::ostream &os, const Type &obj);

};

}

#endif /*TYPE_H_*/
